namespace Hotline.Share.Dtos
{
    public record PagedDto<T>
    {
        public int Total { get; set; }
        public IReadOnlyList<T> Items { get; set; }

        public PagedDto()
        {

        }

        public PagedDto(int total, IReadOnlyList<T> items)
        {
            Total = total;
            Items = items;
        }
    }
}
